Skip to main content
PATCH
/
namespaces
/
{namespaceId}
JavaScript
import Nuntly from '@nuntly/sdk';

const client = new Nuntly({
  apiKey: process.env['NUNTLY_API_KEY'], // This is the default and can be omitted
});

const namespace = await client.namespaces.update('ns_01kabn43yqyxn2bx4ve84mczd3');

console.log(namespace.id);
{
  "data": {
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication. Allowed headers Authorization: Bearer <API_KEY>

Path Parameters

namespaceId
string
required

The id of the namespace

Example:

"ns_01kabn43yqyxn2bx4ve84mczd3"

Body

application/json

Namespace name, external ID, or status update.

name
string

The display name of the namespace.

Minimum string length: 1
externalId
string | null

An optional external identifier for the namespace.

status
enum<string>

The status of the namespace.

Available options:
active,
disabled

Response

Successful response.

data
object
required